> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/enterprise/configuration > Update enterprise-level information relevant to device configuration ## OpenAPI ````json PUT /v1/enterprise/configuration { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/enterprise/configuration": { "put": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1EnterpriseConfigurationPutRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1EnterpriseConfigurationPutResponse" } } } } }, "description": "Update enterprise-level information relevant to device configuration" } } }, "components": { "schemas": { "v1EnterpriseConfigurationPutRequest": { "type": "object", "properties": { "configuration": { "$ref": "#/components/schemas/manaV2EnterpriseConfiguration" } }, "additionalProperties": false }, "v1EnterpriseConfigurationPutResponse": { "type": "object", "properties": {}, "additionalProperties": false }, "manaV2EnterpriseConfiguration": { "type": "object", "properties": { "encryption": { "type": "string", "example": "ENUM_VALUE" }, "useEncryption": { "type": "boolean", "example": true } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````